package kr.co.vividnext.sodalive.can.coupon

import kr.co.vividnext.sodalive.common.BaseEntity
import java.time.LocalDateTime
import javax.persistence.Entity
import javax.persistence.EnumType
import javax.persistence.Enumerated

@Entity
data class CanCoupon(
    val couponName: String,
    @Enumerated(EnumType.STRING)
    val couponType: CouponType,
    val can: Int,
    val couponCount: Int,
    var validity: LocalDateTime,
    var isActive: Boolean,
    var isMultipleUse: Boolean
) : BaseEntity()

enum class CouponType {
    CAN, POINT
}
